> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a product



## OpenAPI

````yaml /openapi/products.json post /products
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /products:
    post:
      tags:
        - Products
      summary: Create a product
      operationId: products.create
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 255
                  description: Name
                description:
                  type: string
                  maxLength: 1000
                  description: Description
                externalId:
                  type: string
                  description: External ID
                metadata:
                  type: object
                  propertyNames:
                    type: string
                  additionalProperties: {}
                  description: Metadata
                scopes:
                  type: array
                  minItems: 1
                  items:
                    enum:
                      - base
                      - MX:AV
                      - MX:AV:ARI
                      - MX:AV:AVI
                      - MX:AV:INM
                      - MX:AV:JYS
                      - MX:AV:MJR
                      - MX:AV:MPC
                      - MX:AV:TSC
                      - MX:AV:VEH
                      - MX:CNBV
                      - MX:CNBV:TRANSMISOR
                      - MX
                    type: string
                scopeData:
                  type: object
                  properties:
                    MX:
                      type: object
                      properties:
                        actividadVulnerable:
                          type: object
                          properties:
                            ARI:
                              type: object
                              properties:
                                operationType:
                                  enum:
                                    - '1501'
                                  type: string
                                  description: Operation Type
                                property:
                                  type: object
                                  properties:
                                    type:
                                      enum:
                                        - '1'
                                        - '2'
                                        - '3'
                                        - '4'
                                        - '5'
                                        - '6'
                                        - '7'
                                        - '8'
                                        - '9'
                                        - '10'
                                        - '11'
                                        - '12'
                                        - '13'
                                        - '14'
                                        - '15'
                                        - '16'
                                        - '17'
                                        - '18'
                                        - '99'
                                      type: string
                                      description: Property Type
                                    value:
                                      type: string
                                      description: Property Value
                                    calle:
                                      type: string
                                      maxLength: 100
                                      description: Property Street
                                    colonia:
                                      type: string
                                      maxLength: 50
                                      description: Property Colonia
                                    numeroExterior:
                                      type: string
                                      maxLength: 56
                                      description: Property Exterior Number
                                    postalCode:
                                      type: string
                                      pattern: ^\d{5}$
                                      description: Property Postal Code
                                    folioReal:
                                      type: string
                                      maxLength: 200
                                      description: Folio Real
                                  description: Property Details
                                paymentForm:
                                  enum:
                                    - '1'
                                    - '2'
                                    - '3'
                                    - '4'
                                    - '5'
                                  type: string
                                  description: Payment Form
                                monetaryInstrument:
                                  enum:
                                    - '1'
                                    - '2'
                                    - '3'
                                    - '4'
                                    - '5'
                                    - '6'
                                    - '7'
                                    - '8'
                                    - '9'
                                    - '10'
                                    - '11'
                                    - '12'
                                    - '13'
                                    - '14'
                                    - '15'
                                    - '16'
                                    - '99'
                                  type: string
                                  description: Monetary Instrument
                            AVI:
                              anyOf:
                                - type: object
                                  properties:
                                    operationType:
                                      const: buy
                                      description: Operation Type
                                    cryptoCurrency:
                                      type: string
                                      description: Crypto Currency
                                  required:
                                    - operationType
                                - type: object
                                  properties:
                                    operationType:
                                      const: sell
                                      description: Operation Type
                                    cryptoCurrency:
                                      type: string
                                      description: Crypto Currency
                                  required:
                                    - operationType
                                - type: object
                                  properties:
                                    operationType:
                                      const: exchange
                                      description: Operation Type
                                    cryptoCurrency:
                                      type: string
                                      description: Crypto Currency
                                  required:
                                    - operationType
                                - type: object
                                  properties:
                                    operationType:
                                      const: transfer
                                      description: Operation Type
                                    cryptoCurrency:
                                      type: string
                                      description: Crypto Currency
                                  required:
                                    - operationType
                                - type: object
                                  properties:
                                    operationType:
                                      const: deposit
                                      description: Operation Type
                                    monetaryInstrument:
                                      enum:
                                        - '1'
                                        - '2'
                                        - '3'
                                        - '4'
                                        - '5'
                                        - '6'
                                        - '7'
                                        - '99'
                                      type: string
                                      description: Monetary Instrument
                                  required:
                                    - operationType
                                - type: object
                                  properties:
                                    operationType:
                                      const: withdrawal
                                      description: Operation Type
                                    monetaryInstrument:
                                      enum:
                                        - '1'
                                        - '2'
                                        - '3'
                                        - '4'
                                        - '5'
                                        - '6'
                                        - '7'
                                        - '99'
                                      type: string
                                      description: Monetary Instrument
                                  required:
                                    - operationType
                            INM:
                              type: object
                              properties:
                                operationType:
                                  enum:
                                    - '501'
                                  type: string
                                  description: Operation Type
                                inmuebles:
                                  type: array
                                  minItems: 1
                                  maxItems: 1
                                  items:
                                    type: object
                                    properties:
                                      type:
                                        enum:
                                          - '1'
                                          - '2'
                                          - '3'
                                          - '4'
                                          - '5'
                                          - '6'
                                          - '7'
                                          - '8'
                                          - '9'
                                          - '10'
                                          - '11'
                                          - '12'
                                          - '13'
                                          - '14'
                                          - '15'
                                          - '16'
                                          - '17'
                                          - '18'
                                          - '99'
                                        type: string
                                        description: Property Type
                                      value:
                                        type: string
                                        description: Property Value
                                      calle:
                                        type: string
                                        maxLength: 100
                                        description: Property Street
                                      colonia:
                                        type: string
                                        maxLength: 50
                                        description: Property Colonia
                                      numeroExterior:
                                        type: string
                                        maxLength: 56
                                        description: Property Exterior Number
                                      numeroInterior:
                                        type: string
                                        maxLength: 40
                                        description: Property Interior Number
                                      postalCode:
                                        type: string
                                        pattern: ^\d{5}$
                                        description: Property Postal Code
                                      dimensionTerreno:
                                        type: string
                                        description: Terrain Dimension (m²)
                                      dimensionConstruido:
                                        type: string
                                        description: Built Dimension (m²)
                                      folioReal:
                                        type: string
                                        maxLength: 200
                                        description: Folio Real
                                  description: Property Defaults
                                payments:
                                  type: array
                                  minItems: 1
                                  maxItems: 1
                                  items:
                                    type: object
                                    properties:
                                      paymentForm:
                                        enum:
                                          - '1'
                                          - '2'
                                          - '3'
                                          - '4'
                                          - '5'
                                        type: string
                                        description: Payment Form
                                      monetaryInstrument:
                                        enum:
                                          - '1'
                                          - '2'
                                          - '3'
                                          - '4'
                                          - '5'
                                          - '6'
                                          - '7'
                                          - '8'
                                          - '9'
                                          - '10'
                                          - '11'
                                          - '12'
                                          - '13'
                                          - '14'
                                          - '15'
                                          - '16'
                                          - '99'
                                        type: string
                                        description: Monetary Instrument
                                  description: Payment Defaults
                            JYS:
                              anyOf:
                                - type: object
                                  properties:
                                    operationType:
                                      enum:
                                        - '101'
                                        - '102'
                                        - '103'
                                      type: string
                                      description: Operation Type
                                    businessLine:
                                      enum:
                                        - '1'
                                        - '2'
                                        - '3'
                                        - '4'
                                        - '5'
                                        - '6'
                                        - '7'
                                        - '8'
                                        - '9'
                                        - '10'
                                      type: string
                                      description: Business Line
                                    operationMethod:
                                      enum:
                                        - '1'
                                        - '2'
                                        - '3'
                                        - '4'
                                        - '5'
                                      type: string
                                      description: Operation Method
                                    branchInformation:
                                      anyOf:
                                        - type: object
                                          properties:
                                            type:
                                              const: own
                                              description: Type
                                            postalCode:
                                              type: string
                                              minLength: 5
                                              maxLength: 5
                                              pattern: ^\d+$
                                              description: Postal Code
                                          required:
                                            - type
                                        - type: object
                                          properties:
                                            type:
                                              const: operator
                                              description: Type
                                            postalCode:
                                              type: string
                                              minLength: 5
                                              maxLength: 5
                                              pattern: ^\d+$
                                              description: Postal Code
                                            operatorName:
                                              type: string
                                              minLength: 1
                                              maxLength: 200
                                              description: Operator Name
                                          required:
                                            - type
                                      description: Branch Information
                                    settlementType:
                                      const: cash
                                      description: Settlement Type
                                    monetaryInstrument:
                                      enum:
                                        - '1'
                                        - '2'
                                        - '3'
                                        - '4'
                                        - '5'
                                        - '6'
                                        - '7'
                                        - '8'
                                        - '9'
                                        - '10'
                                        - '11'
                                        - '12'
                                        - '13'
                                        - '14'
                                        - '15'
                                        - '16'
                                      type: string
                                      description: Monetary Instrument
                                  required:
                                    - settlementType
                                - anyOf:
                                    - type: object
                                      properties:
                                        operationType:
                                          enum:
                                            - '101'
                                            - '102'
                                            - '103'
                                          type: string
                                          description: Operation Type
                                        businessLine:
                                          enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                            - '6'
                                            - '7'
                                            - '8'
                                            - '9'
                                            - '10'
                                          type: string
                                          description: Business Line
                                        operationMethod:
                                          enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                          type: string
                                          description: Operation Method
                                        branchInformation:
                                          anyOf:
                                            - type: object
                                              properties:
                                                type:
                                                  const: own
                                                  description: Type
                                                postalCode:
                                                  type: string
                                                  minLength: 5
                                                  maxLength: 5
                                                  pattern: ^\d+$
                                                  description: Postal Code
                                              required:
                                                - type
                                            - type: object
                                              properties:
                                                type:
                                                  const: operator
                                                  description: Type
                                                postalCode:
                                                  type: string
                                                  minLength: 5
                                                  maxLength: 5
                                                  pattern: ^\d+$
                                                  description: Postal Code
                                                operatorName:
                                                  type: string
                                                  minLength: 1
                                                  maxLength: 200
                                                  description: Operator Name
                                              required:
                                                - type
                                          description: Branch Information
                                        settlementType:
                                          const: in-kind
                                          description: Settlement Type
                                        assetType:
                                          const: '1'
                                          description: Asset Type
                                        realEstateType:
                                          enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                            - '6'
                                            - '7'
                                            - '8'
                                            - '9'
                                            - '10'
                                            - '11'
                                            - '12'
                                            - '13'
                                            - '14'
                                            - '15'
                                            - '16'
                                            - '17'
                                            - '18'
                                            - '99'
                                          type: string
                                          description: Real Estate Type
                                      required:
                                        - settlementType
                                        - assetType
                                    - type: object
                                      properties:
                                        operationType:
                                          enum:
                                            - '101'
                                            - '102'
                                            - '103'
                                          type: string
                                          description: Operation Type
                                        businessLine:
                                          enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                            - '6'
                                            - '7'
                                            - '8'
                                            - '9'
                                            - '10'
                                          type: string
                                          description: Business Line
                                        operationMethod:
                                          enum:
                                            - '1'
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                          type: string
                                          description: Operation Method
                                        branchInformation:
                                          anyOf:
                                            - type: object
                                              properties:
                                                type:
                                                  const: own
                                                  description: Type
                                                postalCode:
                                                  type: string
                                                  minLength: 5
                                                  maxLength: 5
                                                  pattern: ^\d+$
                                                  description: Postal Code
                                              required:
                                                - type
                                            - type: object
                                              properties:
                                                type:
                                                  const: operator
                                                  description: Type
                                                postalCode:
                                                  type: string
                                                  minLength: 5
                                                  maxLength: 5
                                                  pattern: ^\d+$
                                                  description: Postal Code
                                                operatorName:
                                                  type: string
                                                  minLength: 1
                                                  maxLength: 200
                                                  description: Operator Name
                                              required:
                                                - type
                                          description: Branch Information
                                        settlementType:
                                          const: in-kind
                                          description: Settlement Type
                                        assetType:
                                          enum:
                                            - '2'
                                            - '3'
                                            - '4'
                                            - '5'
                                            - '6'
                                            - '7'
                                            - '8'
                                            - '99'
                                          type: string
                                          description: Asset Type
                                      required:
                                        - settlementType
                                        - assetType
                            MJR:
                              type: object
                              properties:
                                operationType:
                                  enum:
                                    - '601'
                                    - '602'
                                  type: string
                                  description: Operation Type
                                operationPostalCode:
                                  type: string
                                  pattern: ^\d{5}$
                                  description: Operation Postal Code
                                goods:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      goodType:
                                        enum:
                                          - '1'
                                          - '2'
                                          - '3'
                                          - '4'
                                          - '5'
                                          - '6'
                                          - '7'
                                          - '8'
                                          - '9'
                                          - '10'
                                          - '11'
                                          - '12'
                                        type: string
                                        description: Good Type
                                      unit:
                                        enum:
                                          - '1'
                                          - '2'
                                          - '3'
                                        type: string
                                        description: Unit
                                      quantity:
                                        type: string
                                        description: Quantity
                                    required:
                                      - goodType
                                      - unit
                                  description: Goods
                                paymentDefaults:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      paymentForm:
                                        enum:
                                          - '1'
                                          - '2'
                                          - '3'
                                          - '4'
                                          - '5'
                                        type: string
                                        description: Payment Form
                                      monetaryInstrument:
                                        enum:
                                          - '1'
                                          - '2'
                                          - '3'
                                          - '4'
                                          - '5'
                                          - '6'
                                          - '7'
                                          - '8'
                                          - '9'
                                          - '10'
                                          - '11'
                                          - '12'
                                          - '13'
                                          - '14'
                                          - '15'
                                          - '16'
                                          - '99'
                                        type: string
                                        description: Monetary Instrument
                                    required:
                                      - paymentForm
                                      - monetaryInstrument
                                  description: Payment Defaults
                            MPC:
                              type: object
                              properties:
                                operationType:
                                  enum:
                                    - '401'
                                    - '402'
                                  type: string
                                  description: Operation Type
                                defaultCollateral:
                                  type: object
                                  properties:
                                    tipoGarantia:
                                      enum:
                                        - '2'
                                        - '3'
                                        - '4'
                                        - '5'
                                        - '6'
                                        - '7'
                                        - '8'
                                        - '9'
                                        - '10'
                                        - '11'
                                        - '12'
                                        - '15'
                                        - '99'
                                      type: string
                                      description: Collateral Type
                                    tipoInmueble:
                                      enum:
                                        - '1'
                                        - '2'
                                        - '3'
                                        - '4'
                                        - '5'
                                        - '6'
                                        - '7'
                                        - '8'
                                        - '9'
                                        - '10'
                                        - '11'
                                        - '12'
                                        - '13'
                                        - '14'
                                        - '15'
                                        - '16'
                                        - '17'
                                        - '18'
                                        - '99'
                                      type: string
                                      description: >-
                                        Property Type (when tipoGarantia is
                                        Inmueble)
                                    postalCode:
                                      type: string
                                      pattern: ^\d{5}$
                                      description: >-
                                        Property Postal Code (when tipoGarantia
                                        is Inmueble)
                                  description: Default collateral details
                            TSC:
                              type: object
                              properties:
                                operationType:
                                  enum:
                                    - '211'
                                  type: string
                                  default: '211'
                                  description: Operation Type
                                cardType:
                                  enum:
                                    - '1'
                                    - '2'
                                  type: string
                                  description: Card Type
                            VEH:
                              type: object
                              properties:
                                operationType:
                                  enum:
                                    - '801'
                                    - '802'
                                    - '805'
                                  type: string
                                  description: Operation Type
                                vehicles:
                                  type: array
                                  items:
                                    anyOf:
                                      - type: object
                                        properties:
                                          kind:
                                            const: terrestre
                                          marcaFabricante:
                                            type: string
                                            minLength: 1
                                            maxLength: 255
                                            description: Manufacturer Brand
                                          modelo:
                                            type: string
                                            minLength: 1
                                            maxLength: 255
                                            description: Model
                                          anio:
                                            type: string
                                            pattern: ^\d{4}$
                                            description: Year
                                          vin:
                                            type: string
                                            pattern: ^[0-9A-Za-z_-]{17}$
                                            description: VIN
                                          repuve:
                                            type: string
                                            pattern: ^[0-9A-Za-z_-]{8}$
                                            description: REPUVE
                                          placas:
                                            type: string
                                            pattern: ^[0-9A-Za-z_-]{1,12}$
                                            description: License Plates
                                          nivelBlindaje:
                                            enum:
                                              - '1'
                                              - '2'
                                              - '3'
                                              - '4'
                                              - '5'
                                              - '6'
                                              - '7'
                                              - '9'
                                            type: string
                                            description: Armoring Level
                                        required:
                                          - kind
                                          - marcaFabricante
                                          - modelo
                                          - anio
                                          - nivelBlindaje
                                      - type: object
                                        properties:
                                          kind:
                                            const: maritimo
                                          marcaFabricante:
                                            type: string
                                            minLength: 1
                                            maxLength: 255
                                            description: Manufacturer Brand
                                          modelo:
                                            type: string
                                            minLength: 1
                                            maxLength: 255
                                            description: Model
                                          anio:
                                            type: string
                                            pattern: ^\d{4}$
                                            description: Year
                                          numeroSerie:
                                            type: string
                                            pattern: ^[0-9A-Za-z_-]{1,20}$
                                            description: Serial Number
                                          bandera:
                                            type: string
                                            description: Flag (country)
                                          matricula:
                                            type: string
                                            pattern: ^[0-9A-Za-z_-]{1,12}$
                                            description: Registration (matrícula)
                                          nivelBlindaje:
                                            enum:
                                              - '1'
                                              - '2'
                                              - '3'
                                              - '4'
                                              - '5'
                                              - '6'
                                              - '7'
                                              - '9'
                                            type: string
                                            description: Armoring Level
                                        required:
                                          - kind
                                          - marcaFabricante
                                          - modelo
                                          - anio
                                          - numeroSerie
                                          - nivelBlindaje
                                      - type: object
                                        properties:
                                          kind:
                                            const: aereo
                                          marcaFabricante:
                                            type: string
                                            minLength: 1
                                            maxLength: 255
                                            description: Manufacturer Brand
                                          modelo:
                                            type: string
                                            minLength: 1
                                            maxLength: 255
                                            description: Model
                                          anio:
                                            type: string
                                            pattern: ^\d{4}$
                                            description: Year
                                          numeroSerie:
                                            type: string
                                            pattern: ^[0-9A-Za-z_-]{1,20}$
                                            description: Serial Number
                                          bandera:
                                            type: string
                                            description: Flag (country)
                                          matricula:
                                            type: string
                                            pattern: ^[0-9A-Za-z_-]{1,12}$
                                            description: Registration (matrícula)
                                          nivelBlindaje:
                                            enum:
                                              - '1'
                                              - '2'
                                              - '3'
                                              - '4'
                                              - '5'
                                              - '6'
                                              - '7'
                                              - '9'
                                            type: string
                                            description: Armoring Level
                                        required:
                                          - kind
                                          - marcaFabricante
                                          - modelo
                                          - anio
                                          - numeroSerie
                                          - nivelBlindaje
                                  description: Vehicles
                        cnbv:
                          type: object
                          properties:
                            TRANSMISOR:
                              type: object
                              properties:
                                tipoOperacion:
                                  enum:
                                    - '00'
                                    - '01'
                                    - '02'
                                    - '03'
                                    - '04'
                                    - '05'
                                    - '06'
                                    - '07'
                                    - '08'
                                    - '09'
                                    - '10'
                                    - '11'
                                    - '12'
                                    - '13'
                                    - '14'
                                    - '15'
                                    - '16'
                                    - '17'
                                    - '18'
                                    - '19'
                                    - '20'
                                    - '21'
                                    - '22'
                                    - '23'
                                    - '24'
                                    - '25'
                                    - '26'
                                    - '27'
                                    - '28'
                                    - '29'
                                    - '30'
                                    - '31'
                                    - '32'
                                    - '33'
                                    - '34'
                                    - '35'
                                    - '36'
                                  type: string
                                  description: Operation Type
                                instrumentoMonetario:
                                  enum:
                                    - '00'
                                    - '01'
                                    - '02'
                                    - '03'
                                    - '04'
                                    - '05'
                                    - '06'
                                    - '07'
                                    - '08'
                                    - '09'
                                  type: string
                                  description: Monetary Instrument
                                sucursal:
                                  type: string
                                  pattern: ^[A-Za-z0-9]{1,8}$
                                  description: Branch
                                localidad:
                                  enum:
                                    - '10100005'
                                    - '10100109'
                                    - '10100208'
                                    - '10100302'
                                    - '10100409'
                                    - '10100502'
                                    - '10100608'
                                    - '10100709'
                                    - '10100805'
                                    - '10100905'
                                    - '10101106'
                                    - '10101204'
                                    - '10101306'
                                    - '10200003'
                                    - '10200109'
                                    - '10200201'
                                    - '10200306'
                                    - '10200406'
                                    - '10200501'
                                    - '10200609'
                                    - '10200703'
                                    - '10200801'
                                    - '10200903'
                                    - '10201007'
                                    - '10201103'
                                    - '10201203'
                                    - '10201307'
                                    - '10201406'
                                    - '10201509'
                                    - '10201607'
                                    - '10201709'
                                    - '10201806'
                                    - '10201907'
                                    - '10202109'
                                    - '10202208'
                                    - '10202302'
                                    - '10202409'
                                    - '10202502'
                                    - '10202608'
                                    - '10202709'
                                    - '10202805'
                                    - '10202905'
                                    - '10203006'
                                    - '10203109'
                                    - '10203207'
                                    - '10203309'
                                    - '10203406'
                                    - '10203507'
                                    - '10203603'
                                    - '10203703'
                                    - '10203807'
                                    - '10203906'
                                    - '10204001'
                                    - '10204103'
                                    - '10204209'
                                    - '10204301'
                                    - '10204406'
                                    - '10204506'
                                    - '10204601'
                                    - '10204709'
                                    - '10204803'
                                    - '10204901'
                                    - '10205008'
                                    - '10205109'
                                    - '10205205'
                                    - '10205305'
                                    - '10205409'
                                    - '10205508'
                                    - '10205602'
                                    - '10205709'
                                    - '10205802'
                                    - '10205908'
                                    - '10206009'
                                    - '10206109'
                                    - '10206204'
                                    - '10206303'
                                    - '10206406'
                                    - '10206504'
                                    - '10206606'
                                    - '10206703'
                                    - '10206804'
                                    - '10206909'
                                    - '10207004'
                                    - '10207103'
                                    - '10207206'
                                    - '10207304'
                                    - '10207406'
                                    - '10207503'
                                    - '10207604'
                                    - '10207709'
                                    - '10207809'
                                    - '10207904'
                                    - '10208002'
                                    - '10208109'
                                    - '10208202'
                                    - '10208308'
                                    - '10208409'
                                    - '10208505'
                                    - '10208605'
                                    - '10208709'
                                    - '10208808'
                                    - '10208902'
                                    - '10209003'
                                    - '10209109'
                                    - '10209201'
                                    - '10209306'
                                    - '10209406'
                                    - '10209501'
                                    - '10209609'
                                    - '10209703'
                                    - '10209801'
                                    - '10209903'
                                    - '20100101'
                                    - '20200002'
                                    - '20200108'
                                    - '20200209'
                                    - '20200305'
                                    - '20200405'
                                    - '20200509'
                                    - '20300106'
                                    - '20300209'
                                    - '20300307'
                                    - '20300409'
                                    - '20300506'
                                    - '20300607'
                                    - '20300703'
                                    - '20300803'
                                    - '20300907'
                                    - '20301003'
                                    - '20301101'
                                    - '20301203'
                                    - '20400003'
                                    - '20400104'
                                    - '20400209'
                                    - '20400309'
                                    - '20400404'
                                    - '20400503'
                                    - '20500008'
                                    - '20500102'
                                    - '20500209'
                                    - '20500302'
                                    - '20500408'
                                    - '20600109'
                                    - '20600209'
                                    - '20700107'
                                    - '20700209'
                                    - '20700306'
                                    - '20800105'
                                    - '20900103'
                                    - '21000108'
                                    - '21000202'
                                    - '21000309'
                                    - '21000402'
                                    - '21100009'
                                    - '21100059'
                                    - '21100101'
                                    - '21100206'
                                    - '21200201'
                                    - '21300105'
                                    - '21300205'
                                    - '30100003'
                                    - '30100107'
                                    - '30100206'
                                    - '30100309'
                                    - '30100509'
                                    - '30100606'
                                    - '30100707'
                                    - '30100803'
                                    - '30100903'
                                    - '30200103'
                                    - '30200204'
                                    - '30200309'
                                    - '30200409'
                                    - '30200504'
                                    - '30300009'
                                    - '30300108'
                                    - '30300202'
                                    - '30300309'
                                    - '30300402'
                                    - '30300508'
                                    - '30300705'
                                    - '30300805'
                                    - '30300909'
                                    - '30301009'
                                    - '30301107'
                                    - '30301209'
                                    - '30301306'
                                    - '30400003'
                                    - '30400104'
                                    - '30400209'
                                    - '30400309'
                                    - '30400404'
                                    - '30400503'
                                    - '30400606'
                                    - '30400704'
                                    - '30400806'
                                    - '30400903'
                                    - '30401009'
                                    - '30401109'
                                    - '30401204'
                                    - '30401303'
                                    - '30401406'
                                    - '30500006'
                                    - '30500109'
                                    - '30600105'
                                    - '30600205'
                                    - '30600309'
                                    - '30600408'
                                    - '30600502'
                                    - '30600609'
                                    - '30600702'
                                    - '30600808'
                                    - '30600909'
                                    - '30601009'
                                    - '30700101'
                                    - '30700203'
                                    - '30700309'
                                    - '30700401'
                                    - '30700506'
                                    - '30800106'
                                    - '30900102'
                                    - '30900208'
                                    - '31000109'
                                    - '31000203'
                                    - '31100109'
                                    - '31100205'
                                    - '31100305'
                                    - '31100409'
                                    - '31100508'
                                    - '31200109'
                                    - '31200207'
                                    - '31200309'
                                    - '31300109'
                                    - '31400002'
                                    - '31400109'
                                    - '31400202'
                                    - '31400308'
                                    - '31500009'
                                    - '31500109'
                                    - '31500204'
                                    - '31500303'
                                    - '31500406'
                                    - '31500504'
                                    - '40100109'
                                    - '40100208'
                                    - '40100302'
                                    - '40200103'
                                    - '40200204'
                                    - '40200309'
                                    - '40200409'
                                    - '40200504'
                                    - '40200603'
                                    - '40200706'
                                    - '40200804'
                                    - '40200906'
                                    - '40201004'
                                    - '40201109'
                                    - '40300106'
                                    - '40400109'
                                    - '40400205'
                                    - '40400305'
                                    - '40500103'
                                    - '40500201'
                                    - '40500303'
                                    - '40500409'
                                    - '40500501'
                                    - '40500606'
                                    - '40500706'
                                    - '40600106'
                                    - '40600206'
                                    - '40600301'
                                    - '40600503'
                                    - '40600601'
                                    - '40700109'
                                    - '40700202'
                                    - '40700409'
                                    - '40700505'
                                    - '40800103'
                                    - '40800207'
                                    - '40800306'
                                    - '40900106'
                                    - '40900203'
                                    - '40900304'
                                    - '40900409'
                                    - '40900509'
                                    - '40900604'
                                    - '40900703'
                                    - '40900806'
                                    - '40900904'
                                    - '40901008'
                                    - '40901109'
                                    - '40901205'
                                    - '40901305'
                                    - '40901409'
                                    - '40901508'
                                    - '40901602'
                                    - '40901802'
                                    - '40901908'
                                    - '40902006'
                                    - '40902106'
                                    - '40902201'
                                    - '40902309'
                                    - '40902403'
                                    - '40902501'
                                    - '40902603'
                                    - '40902709'
                                    - '40902801'
                                    - '41000106'
                                    - '41000209'
                                    - '41000307'
                                    - '41100003'
                                    - '41100104'
                                    - '41100209'
                                    - '41100309'
                                    - '41100404'
                                    - '41100503'
                                    - '41100606'
                                    - '41100704'
                                    - '41100806'
                                    - '41100903'
                                    - '41101105'
                                    - '41101209'
                                    - '41101308'
                                    - '41101402'
                                    - '41101509'
                                    - '41101602'
                                    - '41101708'
                                    - '41101809'
                                    - '41101905'
                                    - '41102001'
                                    - '41102109'
                                    - '41102203'
                                    - '41102301'
                                    - '41102403'
                                    - '41102509'
                                    - '41102601'
                                    - '41102706'
                                    - '41200102'
                                    - '41200302'
                                    - '41200408'
                                    - '41200509'
                                    - '41200605'
                                    - '41200705'
                                    - '41200809'
                                    - '41300004'
                                    - '41300109'
                                    - '41300209'
                                    - '41300304'
                                    - '41300403'
                                    - '41300506'
                                    - '41300604'
                                    - '41300706'
                                    - '41300803'
                                    - '41300904'
                                    - '41301009'
                                    - '41301104'
                                    - '41301203'
                                    - '41301306'
                                    - '41400107'
                                    - '41400209'
                                    - '41400407'
                                    - '41400503'
                                    - '41500005'
                                    - '41500105'
                                    - '41500209'
                                    - '41500308'
                                    - '41500402'
                                    - '41500509'
                                    - '41500602'
                                    - '41500708'
                                    - '41500809'
                                    - '41500905'
                                    - '41501004'
                                    - '41501103'
                                    - '41501206'
                                    - '41501304'
                                    - '41501406'
                                    - '41501503'
                                    - '41501604'
                                    - '41501709'
                                    - '41501809'
                                    - '41501904'
                                    - '41502006'
                                    - '41502104'
                                    - '41502206'
                                    - '41502404'
                                    - '41502509'
                                    - '41502609'
                                    - '41502704'
                                    - '41502803'
                                    - '41502906'
                                    - '41503002'
                                    - '41503108'
                                    - '41503209'
                                    - '41503305'
                                    - '41503405'
                                    - '41503509'
                                    - '41503608'
                                    - '41503702'
                                    - '41503809'
                                    - '41503902'
                                    - '41504001'
                                    - '41504106'
                                    - '41504206'
                                    - '41504301'
                                    - '41504409'
                                    - '41504503'
                                    - '41504601'
                                    - '41504703'
                                    - '41504809'
                                    - '41505107'
                                    - '41505206'
                                    - '41505309'
                                    - '41505407'
                                    - '41505509'
                                    - '41505606'
                                    - '41505707'
                                    - '41505803'
                                    - '41505903'
                                    - '41506008'
                                    - '41506102'
                                    - '41600103'
                                    - '41600209'
                                    - '41600301'
                                    - '41600406'
                                    - '41600506'
                                    - '41600601'
                                    - '41700101'
                                    - '41800002'
                                    - '41800108'
                                    - '41800209'
                                    - '41800305'
                                    - '41800405'
                                    - '41800509'
                                    - '41800608'
                                    - '41800702'
                                    - '41800809'
                                    - '41800902'
                                    - '41801001'
                                    - '41801106'
                                    - '41801206'
                                    - '41801301'
                                    - '41801409'
                                    - '41900106'
                                    - '42000105'
                                    - '42100107'
                                    - '42200009'
                                    - '42200109'
                                    - '42200204'
                                    - '42200303'
                                    - '42200406'
                                    - '42200504'
                                    - '42300102'
                                    - '42300208'
                                    - '42300309'
                                    - '42300405'
                                    - '42300505'
                                    - '42300609'
                                    - '42300708'
                                    - '42300802'
                                    - '42400104'
                                    - '42400203'
                                    - '42400306'
                                    - '42400404'
                                    - '42400506'
                                    - '42400603'
                                    - '42400704'
                                    - '42400809'
                                    - '42500009'
                                    - '42500106'
                                    - '42500207'
                                    - '42500303'
                                    - '42500403'
                                    - '42500507'
                                    - '42600108'
                                    - '42600202'
                                    - '42600309'
                                    - '42600402'
                                    - '42600508'
                                    - '42600609'
                                    - '42600705'
                                    - '42600805'
                                    - '42700101'
                                    - '42700306'
                                    - '42700401'
                                    - '42700509'
                                    - '42700557'
                                    - '42700603'
                                    - '42700701'
                                    - '42800103'
                                    - '42800201'
                                    - '42800303'
                                    - '42800409'
                                    - '42800501'
                                    - '42800606'
                                    - '42800706'
                                    - '42800801'
                                    - '42800909'
                                    - '42900105'
                                    - '42900205'
                                    - '42900309'
                                    - '42900408'
                                    - '42900502'
                                    - '42900609'
                                    - '42900702'
                                    - '42900808'
                                    - '42900909'
                                    - '42901006'
                                    - '42901101'
                                    - '42901209'
                                    - '42901303'
                                    - '42901401'
                                    - '42901503'
                                    - '42901609'
                                    - '42901701'
                                    - '42901806'
                                    - '42901906'
                                    - '43000103'
                                    - '43000209'
                                    - '43000301'
                                    - '43000406'
                                    - '43000506'
                                    - '43000601'
                                    - '43100109'
                                    - '43200106'
                                    - '43300103'
                                    - '43400109'
                                    - '43500106'
                                    - '43500204'
                                    - '43500306'
                                    - '43500404'
                                    - '43600103'
                                    - '43600203'
                                    - '43700109'
                                    - '43800106'
                                    - '43900103'
                                    - '44000109'
                                    - '44100101'
                                    - '44200102'
                                    - '44300103'
                                    - '44400104'
                                    - '44500105'
                                    - '44600106'
                                    - '44700107'
                                    - '44800108'
                                    - '44900109'
                                    - '45000105'
                                    - '45100101'
                                    - '50100107'
                                    - '50200108'
                                    - '50200209'
                                    - '50200305'
                                    - '50200509'
                                    - '50200608'
                                    - '50200702'
                                    - '50300109'
                                    - '50400101'
                                    - '50500102'
                                    - '50500209'
                                    - '50600103'
                                    - '50700104'
                                    - '50700206'
                                    - '50700303'
                                    - '50700404'
                                    - '50700509'
                                    - '50700609'
                                    - '50700704'
                                    - '50700803'
                                    - '50700906'
                                    - '50701002'
                                    - '50701108'
                                    - '50800105'
                                    - '50820003'
                                    - '50900509'
                                    - '51000108'
                                    - '51000202'
                                    - '51000309'
                                    - '51000402'
                                    - '51000508'
                                    - '51000609'
                                    - '51000705'
                                    - '51100003'
                                    - '51100104'
                                    - '51100209'
                                    - '51100309'
                                    - '51100404'
                                    - '51100503'
                                    - '51100606'
                                    - '51100704'
                                    - '51100806'
                                    - '51200109'
                                    - '51200207'
                                    - '51200309'
                                    - '51200406'
                                    - '51300105'
                                    - '51300205'
                                    - '51300309'
                                    - '51400101'
                                    - '51400203'
                                    - '51400309'
                                    - '51400401'
                                    - '51400506'
                                    - '51400606'
                                    - '51500106'
                                    - '51500201'
                                    - '51500309'
                                    - '51600102'
                                    - '51700003'
                                    - '51700107'
                                    - '51700206'
                                    - '51700309'
                                    - '51700407'
                                    - '51700509'
                                    - '51700606'
                                    - '51700707'
                                    - '51700803'
                                    - '51700903'
                                    - '51800103'
                                    - '51800204'
                                    - '51900108'
                                    - '52000109'
                                    - '52100109'
                                    - '52100202'
                                    - '52200303'
                                    - '52201103'
                                    - '52300109'
                                    - '52400109'
                                    - '52500109'
                                    - '52600203'
                                    - '52600301'
                                    - '52600403'
                                    - '52600509'
                                    - '52700109'
                                    - '52700205'
                                    - '52700305'
                                    - '52800109'
                                    - '52900209'
                                    - '53000007'
                                    - '53000109'
                                    - '53000206'
                                    - '53000307'
                                    - '53000403'
                                    - '53000503'
                                    - '53100104'
                                    - '53100203'
                                    - '53100306'
                                    - '53100404'
                                    - '53100506'
                                    - '53200108'
                                    - '53200209'
                                    - '53200305'
                                    - '53300103'
                                    - '53300206'
                                    - '53400107'
                                    - '53500102'
                                    - '60100101'
                                    - '60200109'
                                    - '60300108'
                                    - '60400107'
                                    - '60500106'
                                    - '60600105'
                                    - '60700104'
                                    - '60700206'
                                    - '60800103'
                                    - '60900102'
                                    - '61000106'
                                    - '61100008'
                                    - '61100109'
                                    - '61100205'
                                    - '61200103'
                                    - '61300106'
                                    - '61400109'
                                    - '61500103'
                                    - '61600106'
                                    - '61700109'
                                    - '61800103'
                                    - '61800204'
                                    - '61900106'
                                    - '62000109'
                                    - '62100107'
                                    - '62200105'
                                    - '62200209'
                                    - '62300103'
                                    - '62400101'
                                    - '62400209'
                                    - '62500108'
                                    - '62600007'
                                    - '62600106'
                                    - '62600209'
                                    - '62700104'
                                    - '62800102'
                                    - '62900109'
                                    - '63000102'
                                    - '63100104'
                                    - '63200106'
                                    - '63300108'
                                    - '63400101'
                                    - '63500103'
                                    - '63600000'
                                    - '63700107'
                                    - '63800109'
                                    - '63900102'
                                    - '64000103'
                                    - '64000206'
                                    - '64100109'
                                    - '64200106'
                                    - '64300103'
                                    - '64300203'
                                    - '64400109'
                                    - '64500106'
                                    - '64600103'
                                    - '64700109'
                                    - '64800106'
                                    - '70100005'
                                    - '70100109'
                                    - '70100208'
                                    - '70100302'
                                    - '70100409'
                                    - '70100502'
                                    - '70100608'
                                    - '70100709'
                                    - '70200106'
                                    - '70200207'
                                    - '70200303'
                                    - '70200403'
                                    - '99999999'
                                    - '00101003'
                                    - '00101027'
                                    - '00101106'
                                    - '00104003'
                                    - '00107003'
                                    - '00110006'
                                    - '00113006'
                                    - '00116006'
                                    - '00119006'
                                    - '00122009'
                                    - '00125009'
                                    - '00128009'
                                    - '00199009'
                                    - '00201009'
                                    - '00201105'
                                    - '00201159'
                                    - '00201195'
                                    - '00201309'
                                    - '00201355'
                                    - '00201408'
                                    - '00204009'
                                    - '00204052'
                                    - '00204102'
                                    - '00204159'
                                    - '00204175'
                                    - '00204208'
                                    - '00204219'
                                    - '00204228'
                                    - '00204235'
                                    - '00204252'
                                    - '00204262'
                                    - '00204279'
                                    - '00204309'
                                    - '00204369'
                                    - '00204405'
                                    - '00204445'
                                    - '00204505'
                                    - '00204555'
                                    - '00204579'
                                    - '00204609'
                                    - '00204708'
                                    - '00207009'
                                    - '00210009'
                                    - '00210042'
                                    - '00210088'
                                    - '00210208'
                                    - '00299009'
                                    - '00302006'
                                    - '00302103'
                                    - '00302309'
                                    - '00302357'
                                    - '00302409'
                                    - '00302504'
                                    - '00303009'
                                    - '00303058'
                                    - '00303069'
                                    - '00303085'
                                    - '00305006'
                                    - '00305021'
                                    - '00305073'
                                    - '00305159'
                                    - '00305207'
                                    - '00308006'
                                    - '00399009'
                                    - '00403009'
                                    - '00405009'
                                    - '00405138'
                                    - '00405609'
                                    - '00407003'
                                    - '00407043'
                                    - '00407057'
                                    - '00407079'
                                    - '00409009'
                                    - '00411009'
                                    - '00413006'
                                    - '00415006'
                                    - '00417009'
                                    - '00419006'
                                    - '00499009'
                                    - '00503009'
                                    - '00505003'
                                    - '00507009'
                                    - '00509009'
                                    - '00511009'
                                    - '00513009'
                                    - '00515003'
                                    - '00516009'
                                    - '00517009'
                                    - '00519009'
                                    - '00521006'
                                    - '00523006'
                                    - '00525009'
                                    - '00527006'
                                    - '00528009'
                                    - '00529006'
                                    - '00531009'
                                    - '00533009'
                                    - '00535003'
                                    - '00535059'
                                    - '00535159'
                                    - '00537009'
                                    - '00537208'
                                    - '00537405'
                                    - '00539009'
                                    - '00541009'
                                    - '00541056'
                                    - '00541063'
                                    - '00541089'
                                    - '00543009'
                                    - '00545003'
                                    - '00547009'
                                    - '00549009'
                                    - '00551006'
                                    - '00551259'
                                    - '00551354'
                                    - '00553006'
                                    - '00555009'
                                    - '00557006'
                                    - '00557039'
                                    - '00557207'
                                    - '00559006'
                                    - '00561009'
                                    - '00563009'
                                    - '00565003'
                                    - '00565104'
                                    - '00565209'
                                    - '00569009'
                                    - '00569303'
                                    - '00570309'
                                    - '00571009'
                                    - '00571206'
                                    - '00571401'
                                    - '00573009'
                                    - '00575003'
                                    - '00577009'
                                    - '00579009'
                                    - '00599009'
                                    - '00603009'
                                    - '00605006'
                                    - '00605054'
                                    - '00605309'
                                    - '00607006'
                                    - '00609009'
                                    - '00611009'
                                    - '00611109'
                                    - '00611303'
                                    - '00613003'
                                    - '00615009'
                                    - '00615099'
                                    - '00615205'
                                    - '00615255'
                                    - '00615309'
                                    - '00617009'
                                    - '00619003'
                                    - '00619039'
                                    - '00619251'
                                    - '00621009'
                                    - '00621355'
                                    - '00621639'
                                    - '00699009'
                                    - '00701003'
                                    - '00702009'
                                    - '00703009'
                                    - '00704003'
                                    - '00705009'
                                    - '00706009'
                                    - '00707003'
                                    - '00708009'
                                    - '00709009'
                                    - '00710006'
                                    - '00711009'
                                    - '00712006'
                                    - '00713006'
                                    - '00714009'
                                    - '00715006'
                                    - '00716006'
                                    - '00717009'
                                    - '00718006'
                                    - '00719006'
                                    - '00720009'
                                    - '00720129'
                                    - '00720178'
                                    - '00720225'
                                    - '00721003'
                                    - '00722009'
                                    - '00723009'
                                    - '00724003'
                                    - '00725009'
                                    - '00726009'
                                    - '00727003'
                                    - '00728009'
                                    - '00729009'
                                    - '00730009'
                                    - '00731003'
                                    - '00732009'
                                    - '00733009'
                                    - '00734003'
                                    - '00735009'
                                    - '00736009'
                                    - '00737003'
                                    - '00738009'
                                    - '00739009'
                                    - '00740006'
                                    - '00741009'
                                    - '00742006'
                                    - '00743006'
                                    - '00744009'
                                    - '00745006'
                                    - '00746006'
                                    - '00747009'
                                    - '00748006'
                                    - '00749006'
                                    - '00750009'
                                    - '00751003'
                                    - '00752009'
                                    - '00753009'
                                    - '00754003'
                                    - '00755009'
                                    - '00756009'
                                    - '00757003'
                                    - '00758009'
                                    - '00759009'
                                    - '00760009'
                                    - '00761003'
                                    - '00762009'
                                    - '00763009'
                                    - '00764003'
                                    - '00765009'
                                    - '00766009'
                                    - '00767003'
                                    - '00768009'
                                    - '00769009'
                                    - '00770006'
                                    - '00771009'
                                    - '00772006'
                                    - '00773006'
                                    - '00774009'
                                    - '00774102'
                                    - '00774252'
                                    - '00775006'
                                    - '00776006'
                                    - '00777009'
                                    - '00778006'
                                    - '00779006'
                                    - '00780009'
                                    - '00781003'
                                    - '00782009'
                                    - '00783009'
                                    - '00784003'
                                    - '00785009'
                                    - '00786009'
                                    - '00787003'
                                    - '00787107'
                                    - '00788009'
                                    - '00789009'
                                    - '00789505'
                                    - '00790009'
                                    - '00791003'
                                    - '00792009'
                                    - '00793009'
                                    - '00794003'
                                    - '00795009'
                                    - '00796009'
                                    - '00797003'
                                    - '00798009'
                                    - '00799009'
                                    - '00801009'
[...]
